| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/os-aggregates/{aggregate_id} | Gets details about a specified aggregate. |
Normal response codes: 200200
This table shows the URI parameters for the get aggregate details request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| UUID | The ID associated with an aggregate. |
This operation does not require a request body.
Example 3.121. Get aggregate details: XML response
<?xml version='1.0' encoding='UTF-8'?>
<aggregate>
<name>name</name>
<availability_zone>nova</availability_zone>
<deleted>False</deleted>
<created_at>2012-11-16 06:22:25.587739</created_at>
<updated_at>None</updated_at>
<hosts/>
<deleted_at>None</deleted_at>
<id>1</id>
<metadata>
<availability_zone>nova</availability_zone>
</metadata>
</aggregate>
Example 3.122. Get aggregate details: JSON response
{
"aggregate": {
"availability_zone": "nova",
"created_at": "2012-11-16T06:22:23.032493",
"deleted": false,
"deleted_at": null,
"hosts": [],
"id": 1,
"metadata": {
"availability_zone": "nova"
},
"name": "name",
"updated_at": null
}
}
This operation does not return a response body.

